IFNDEF __AI_INC__
__AI_INC__ = 1

;/************
;* AI module
;*************/

;/************
;* Struct
;*************/

AISTRUCT STRUCT
	ThreadId		DWORD 0
	ThreadHandle	DWORD 0
	EventHandle		DWORD 0
	State			DWORD 0
	Ply				DWORD 0
AISTRUCT ENDS

PTR_AISTRUCT TYPEDEF PTR AISTRUCT

;/************
;* Func
;*************/

EXTERNDEF AiThreadEntryPoint:PROC
EXTERNDEF AiInit:PROC
EXTERNDEF AiQuit:PROC
EXTERNDEF AiGetMove:PROC

;/************
;* Globals
;*************/

EXTERNDEF AiStruct:AISTRUCT

;/************
;* Const
;*************/

AIPLY_EASY = 3
AIPLY_MEDIUM = 5
AIPLY_HARD = 7
AIPLY_MAX = 7


ENDIF ;// __AI_INC__ 

