;/**
;* Board include
;**/

IFNDEF __BOARD__
__BOARD__ = 1

;/************
;* Const
;*************/

;// Dimension tableau
BOARD_NBROW = 6
BOARD_NBCOL = 7

;// Id player
BOARD_PLAYER1 = 1
BOARD_PLAYER2 = 2

;// Status du jeu
BOARD_PLAYER1TURN = BOARD_PLAYER1
BOARD_PLAYER2TURN = BOARD_PLAYER2
BOARD_PLAYER1WIN = 3
BOARD_PLAYER2WIN = 4
BOARD_DRAW = 5

;// Note max en valeur absolue
MAX_NOTE=07FFFFFFFh
NEG_MAX_NOTE=080000000h
ABS_WIN_NOTE = 1000000

;// Nb de menaces possibles
BOARD_NBTHREAT = 69


;/************
;* Struct
;*************/

BOARDSTRUCT STRUCT
	Player		DWORD 0
	Status		DWORD 0
BOARDSTRUCT ENDS

PTR_BOARDSTRUCT TYPEDEF PTR BOARDSTRUCT

;/************
;* Protos
;*************/

EXTERNDEF BoardGetSquare:PROC
EXTERNDEF BoardSetSquare:PROC
EXTERNDEF BoardSetSquareAi:PROC
EXTERNDEF BoardUnsetSquare:PROC
EXTERNDEF BoardInit:PROC
EXTERNDEF BoardClick:PROC
EXTERNDEF BoardEstimate:PROC
EXTERNDEF BoardTestWin:PROC


;/************
;* Public
;*************/

EXTERNDEF BoardStruct:BOARDSTRUCT
EXTERNDEF BoardHeight:DWORD
EXTERNDEF BoardHeightCopy:DWORD
EXTERNDEF Board1:DWORD
EXTERNDEF Board2:DWORD

EXTERNDEF ThreatOffsetTable:DWORD
EXTERNDEF NoteTable:DWORD
EXTERNDEF BoardNote:DWORD

ENDIF ;// __BOARD__
